%define upstream_name	 Module-Pluggable-Fast
%define upstream_version 0.19

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 1

Summary:	Fast plugins with instantiation
License:	Artistic/GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz


Buildrequires:	perl(UNIVERSAL::exports)
Buildrequires:	perl(UNIVERSAL::require)
BuildArch:	noarch


%description
This module is similar to Module::Pluggable but instantiates plugins as soon as
they're found, useful for code generators like Class::DBI::Loader.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes META.yml
%{perl_vendorlib}/Module
%{_mandir}/*/*

%changelog
* Sat Jan 22 2011 jquelin <jquelin> 0.190.0-1.mga1
+ Revision: 30860
- mageia rebuild
- imported package perl-Module-Pluggable-Fast

